Bug Hunting Session
Bug 96484 - Missing Icons in Find Toolbar with Icon Style Galaxy
Summary: Missing Icons in Find Toolbar with Icon Style Galaxy
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All Windows (All)
: medium minor
Assignee: Björn Michaelsen
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-12-14 15:16 UTC by Harald Koester
Modified: 2016-08-25 13:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2015-12-14 15:16:13 UTC
With the icon style Galaxy in the find toolbar the buttons “Next Element” and “Previous Element” don't have icons. Instead the strings “Next Element” and “Previous Element” are displayed on the buttons. This is a regression against 4.4.x.

Bug still exists in version 5.0.3.
Comment 1 Buovjaga 2015-12-17 12:18:51 UTC
Repro.

Win 7 Pro 64-bit, Version: 5.0.3.2 (x64)
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: fi-FI (fi_FI)

Version: 5.2.0.0.alpha0+
Build ID: 014633f83e44ae8ba33087b6f38e8e253e281969
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-12-15_06:21:44
Locale: fi-FI (fi_FI)
Comment 2 raal 2016-01-11 13:09:52 UTC
This seems to have begun at the below commit.
Adding Cc: to Jan Holesovsky ; Could you possibly take a look at this one? Thanks

a68e66f4076e98054afd8ccfe3cc91a1ab62c915 is the first bad commit
commit a68e66f4076e98054afd8ccfe3cc91a1ab62c915
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun May 3 13:19:55 2015 -0500

    source sha:b6d1a5f0225d4899782c88ecb2bd49266a790899

    source sha:b6d1a5f0225d4899782c88ecb2bd49266a790899

:040000 040000 3b5da9444176fa2949278273619570912818af17 8367fe2dc05814f0d0ff364bcab6c719b7d31302 M      instdir

author	Jan Holesovsky <kendy@collabora.com>	2014-11-23 11:14:42 (GMT)
committer	Jan Holesovsky <kendy@collabora.com>	2014-11-23 11:14:42 (GMT)
commit	b6d1a5f0225d4899782c88ecb2bd49266a790899 (patch)
icons: optipng the galaxy icons.
Comment 3 Commit Notification 2016-03-25 01:30:52 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=477a1f2c60e80efda3cdef3e3b22bf483819e97d

tdf#96484: Missing Icons in Find Toolbar with Icon Style Galaxy

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-09 12:21:34 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ec82b36c8bb74ef9f3948b33958b4bcf7fdddb1&h=libreoffice-5-1

tdf#96484: Missing Icons in Find Toolbar with Icon Style Galaxy

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Harald Koester 2016-08-25 13:48:37 UTC
Checked with versions 5.1.4 and 5.2.0. Works now as expected. Hence bug closed.